version: '3.4'

x-logging:
  &default-logging
  options:
    max-size: '10m'
    max-file: '5'
  driver: json-file

services:
  nfs:
    image: erichough/nfs-server:2.2.1
    restart: unless-stopped
    env_file:
      - .env
    cap_add:
      - SYS_ADMIN
      - SYS_MODULE
    ports:
      - 111:111
      - 2049:2049
      - 32765:32765
      - 32767:32767
    networks:
      - default
    logging: *default-logging
    security_opt:
      - apparmor=erichough-nfs
    volumes:
      - ${BASE_PATH:-/data}/masters:/data/masters
      - ${BASE_PATH:-/data}/www:/data/www
      - /lib/modules:/lib/modules:ro

